Name:          libglitz
Version:       0.5.6
Release:       4mamba
Summary:       OpenGL image compositing library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://cairographics.org
Source:        http://cairographics.org/snapshots/glitz-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libX11-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Glitz is an OpenGL image compositing library.
Glitz provides Porter/Duff compositing of images and implicit mask generation for geometric primitives including trapezoids, triangles, and rectangles.

The semantics of glitz are designed to precisely match the specification of the X Render extension. Glitz does not only implement X Render features like component alpha and image transformations, but also support for additional features like convolution filters and color gradients, which are not currently part of the X Render specification.

The performance and capabilities of glitz are much dependent on graphics hardware. Glitz does not in any way handle software fall-backs when graphics hardware is insufficient. However, glitz will report if any requested operation cannot be carried out by graphics hardware, hence making a higher level software layer responsible for appropriate actions.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
Glitz is an OpenGL image compositing library.
Glitz provides Porter/Duff compositing of images and implicit mask generation for geometric primitives including trapezoids, triangles, and rectangles.

This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q -n glitz-%{version}
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config/config.sub

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglitz.so.*
%{_libdir}/libglitz-glx.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libglitz.a
%{_libdir}/libglitz.la
%{_libdir}/libglitz.so
%{_libdir}/libglitz-glx.a
%{_libdir}/libglitz-glx.la
%{_libdir}/libglitz-glx.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog INSTALL NEWS README TODO

%changelog
* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.6-4mamba
- added debug package and build fix for aarch64

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 0.5.6-3mamba
- automatic rebuild by autodist

* Sat Jul 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.6-2mamba
- specfile updated

* Wed Dec 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.6-1qilnx
- update to version 0.5.6 by autospec

* Thu Oct 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4-1qilnx
- update to version 0.4.4 by autospec

* Fri Jul 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.3-1qilnx
- update to version 0.4.3 by autospec

* Wed May 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.0-1qilnx
- package created by autospec
